import junit.framework.TestCase;
import junit.framework.Assert;

/**
   EventTest runs three tests on the Event class, testing the proper creation
   Event objects and the equals method.
   @author Brian Hermann
   @version 2006-4-19
*/

public class EventTest extends TestCase
{
  // Events used in tests
  private Event e1;
  private Event e2;
  private Event e3;
  private Event e4;
	
  protected void setUp() 
  {
    // Initialize events to be used in tests
    e1 = new Event(1, 1230, 1330); // Monday, 12:30 PM - 1:30 PM 
    e2 = new Event(2, 1230, 1330); // Tuesday, 12:30 PM - 1:30 PM
    e3 = new Event(2, 1230, 1330); // Tuesday, 12:30 PM - 1:30 PM
    e4 = new Event(1, 1700, 2000); // Monday, 5:00 PM - 8:00 PM
  }
	
  /**
     Runs the three tests on the Event class
  */
  public void testEquals() 
  {
    Assert.assertTrue(!e1.equals(e2));
    Assert.assertTrue(e2.equals(e3));
    Assert.assertTrue(!e1.equals(e4));
  }
}
