import junit.framework.TestCase;
import junit.framework.Assert;

/**
   ScheduleTest runs four tests on the Schedule class, testing the proper
   creation of Schedule objects, as well as the timeConvert, formatFreeTimes,
   and getFormatedTime methods 
   @author Brian Hermann
   @version 2006-4-19
*/

public class ScheduleTest extends TestCase
{
  // Events and Schedule used in tests
  private Event e1;
  private Event e2;
  private Event e3;
  private Event e4;
  private Schedule s1;

  protected void setUp() 
  {
    // Initialize Events and Schedule to be used in tests
    e1 = new Event(1, 1230, 1330);
    e2 = new Event(2, 1230, 1330);
    e3 = new Event(2, 1230, 1330);
    e4 = new Event(1, 1700, 2000);
    s1 = new Schedule();
    s1.addEvent(e1);
    s1.addEvent(e2);
    s1.addEvent(e3);
    s1.addEvent(e4);
  }

  /**
     Runs two tests on the timeConvert method
  */
  public void testTimeConvert()
  {
    String t1 = Schedule.timeConvert(e1.getStartTime(), e1.getEndTime());
    String t2 = Schedule.timeConvert(e4.getStartTime(), e4.getEndTime());
    String expected1 = new String("12:30PM-1:30PM, ");
    String expected2 = new String("5:00PM-8:00PM, ");
    Assert.assertEquals(t1, expected1);
    Assert.assertEquals(t2, expected2);
  }

  /**
     Run two tests on the formatFreeTimes and getFormatedTime methods 
  */
  public void testFormatFreeTimes()
  {
    s1.formatFreeTimes();
    String[] result = s1.getFormatedTime();
    String expected1 = new String(
      "12:00AM-12:30PM, 1:30PM-5:00PM, 8:00PM-12:00AM, ");
    String expected2 = new String("12:00AM-12:30PM, 1:30PM-12:00AM, ");
    Assert.assertEquals(result[1], expected1);
    Assert.assertEquals(result[2], expected2);
  }
}
